# $Id: dot-forward.spec,v 1.1 2016/02/04 18:20:05 vip-ire Exp $
%global debug_package %{nil}
#
# RPM spec file for Dan Bernstein's dot-forward package
#
# $Id: dot-forward.spec,v 1.1 2016/02/04 18:20:05 vip-ire Exp $
#
Summary: dot-forward reads sendmail's .forward files under qmail
%define name dot-forward
Name: %{name}
%define version 0.71
%define release 5
Version: %{version}
Release: %{release}%{?dist}
License: Daniel J. Bernstein
Group: Networking/Daemons
Source: http://cr.yp.to/software/%{name}-%{version}.tar.gz
URL: http://cr.yp.to/%{name}.html
Patch0: %{name}-%{version}.patch.2001020500
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: qmail
Provides: dot-forward
AutoReqProv: no
BuildRequires: groff

%description
dot-forward reads sendmail's .forward files under qmail. You can run
it in the qmail startup script to support all your existing .forward
files automatically. Individual users can switch to the .qmail
mechanism at their leisure.

dot-forward supports forwarding, program deliveries, and comments. It
does not support file deliveries or :include:. (However, it recognizes
file delivery attempts, and defers delivery to give you a chance to
set up a .qmail file.)

%changelog
* Wed Mar 13 2024 Jean-Philippe Pialasse <jpp@koozali.org> 0.71-5.sme
- fix empty debugsource filelist prevents build [SME: 12504]

* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Tue Oct 11 2005 Charlie Brady <charlieb@e-smith.com> 0.71-03
- Rebuild under CentOS 4. Includes errno.h compiler configuration
  fix.

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- Rolling release number for GPG signing.

* Mon Feb 5 2001 Peter Samuel <peters@e-smith.com>
- [0.71-02]
- Now installs in its own root area prior to creating binary RPM.

* Mon Mar 29 1999 Joseph Morrison <jdm@e-smith.com>
- [0.71-1]
- initial release

%prep
%setup

# This patch allows files to be installed in a relative directory prior
# to creating the binary RPM. It does not change the files or their
# final installed locations.

%patch0 -p1

# Create the relative installation directory.

mkdir -p ./root/var/qmail

%build
echo gcc -g --include /usr/include/errno.h > conf-cc
make 

%install
make setup
make check
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) /var/qmail/bin/dot-forward
%attr(644,root,root) /var/qmail/man/man1/dot-forward.1
%attr(644,root,root) /var/qmail/man/cat1/dot-forward.0
